List Partners
Lists all OES Partners associated with the specified enterprise. Returns a collection of partners with information required to connect to them.
Error scenarios:
-
400: Invalid Request Error
-
Occurs when the request parameters are invalid or incomplete.
-
Examples: Empty string supplied for enterpriseId.
-
401: Authentication Error
-
Occurs when the request is not authorized.
-
Examples: Caller is not a member of the enterprise.
-
403: Permission Denied Error
-
Occurs when the authenticated partner doesn't have access to create a partner.
-
Examples: Enterprise does not have OES license.
-
500: Internal Server Error
-
Occurs when there's an unexpected error processing the request
-
Examples: Database connection failure, transient network error.
Requires access token scope: settlement_network_read
Path Params
-
enterpriseIdstring requiredThe enterprise ID of the client making the request.
Query Params
-
pageNumberstring integerThe page number (integer) you wish to fetch. When provided, the API will skip pageSize * pageNumber records. Page numbers are zero-based, so the first page is 0. If not provided, defaults to 0. -
pageSizestringThe page size (integer) you wish to fetch. When provided, the API will return at most pageSize records per page. If not provided, a default page size defined by the server will be used. -
idsarray of stringsFilter by specific partner IDs. When provided, only partners with these IDs will be returned. -
namesarray of stringsFilter by partner names. When provided, only partners with these names will be returned. -
institutionIdsarray of stringsFilter by institution IDs. When provided, only partners linked to these institutions will be returned. -
institutionIdentifiersarray of stringsFilter by institution identifiers. When provided, only partners with these institution identifiers will be returned. -
activebooleanFilter by active status. When true, only active partners will be returned. When false, only inactive partners will be returned. When not provided, partners of any status will be returned. -
filterByTrustOrgbooleanFilter by trust organization. When provided, only partners belonging to this trust organization will be returned. -
allocationPoliciesEnabledbooleanFilter by allocation policies enabled. When true, only partners with allocation policies enabled will be returned. When false, only partners with allocation policies disabled will be returned. When not provided, partners with any allocation policies status will be returned.
Responses
200
OK
Response Body
object
-
partnersarray of objects requiredpartners object
-
idstring requiredUnique identifier for the partner. -
namestring requiredDisplay name of the partner. -
institutionIdstringOptional identifier linking the partner to an institution in external systems. -
institutionIdentifierstring requiredOptional string identifier for the institution. -
connectionKeySchemastring enum requiredSchema defining which connection request schema is required for this partner. Can be 'token', 'tokenAndSignature', 'apiKeyAndSecret', or 'clearloop'.tokentokenAndSignatureapiKeyAndSecretclearloop -
activeboolean requiredBoolean flag indicating whether the partner is currently active in the system. -
settlementTransactionRouteIdstringOptional identifier for the settlement transaction route associated with this partner. -
publicKeystringOptional RSA public key used for secure communication with the partner. -
enterpriseIdstringEnterprise ID associated with this partner, if any. -
clientDisputeWindowMinutesnumberTime window in minutes during which clients can dispute transactions. -
topUpWindowMinutesnumberTime window in minutes after which dispute window ends for processing top-up operations. -
trustOrgstring enum requiredIdentifier for the trust organization this partner belongs to. Used for filtering and categorization of partners.BitGo TrustBitGo New YorkBitGo GermanyBitGo SwitzerlandBitGo Europe ApSFrankfurt DE TrustBitGo SingaporeBitGo KoreaBitGo Custody MENA FZEBitGo IndiaBitGo Sister Trust 1 -
stablePartnerboolean requiredFlag indicating whether the partner has demonstrated operational stability. Used when partner is initially launched to demonstrate that the partner is still in beta and not yet stable.
-
401
Unauthorized
Response Body
object
-
errorstring required
403
Forbidden
Response Body
object
-
errorstring required
500
Internal Server Error
Response Body
object
-
errorstring required